aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-connectivity/openssh/openssh-5.9p1/sshdgenkeys
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-connectivity/openssh/openssh-5.9p1/sshdgenkeys')
-rw-r--r--recipes-connectivity/openssh/openssh-5.9p1/sshdgenkeys50
1 files changed, 25 insertions, 25 deletions
diff --git a/recipes-connectivity/openssh/openssh-5.9p1/sshdgenkeys b/recipes-connectivity/openssh/openssh-5.9p1/sshdgenkeys
index 61709b1..0fca8a7 100644
--- a/recipes-connectivity/openssh/openssh-5.9p1/sshdgenkeys
+++ b/recipes-connectivity/openssh/openssh-5.9p1/sshdgenkeys
@@ -1,26 +1,26 @@
-#!/bin/sh
-
-# This script
-# generates host keys
-# check /var/run/sshd nad creates it if not already created
-
-
-if ! [ -f /etc/ssh/ssh_host_ecdsa_key ]; then
- /usr/bin/ssh-keygen -q -t ecdsa -N "" -f /etc/ssh/ssh_host_ecdsa_key || exit 1
-fi
-
-if ! [ -f /etc/ssh/ssh_host_rsa_key ]; then
- /usr/bin/ssh-keygen -q -t rsa -N "" -f /etc/ssh/ssh_host_rsa_key || exit 1
-fi
-
-if ! [ -f /etc/ssh/ssh_host_dsa_key ]; then
- /usr/bin/ssh-keygen -q -t dsa -N "" -f /etc/ssh/ssh_host_dsa_key || exit 1
-fi
-
-if [ ! -d /var/run/sshd ]; then
- mkdir /var/run/sshd || exit 1
- chmod 0755 /var/run/sshd || exit 1
-fi
-
-# `test' returns non-zero when it fails. Don't let this hold up ExecStart.
+#!/bin/sh
+
+# This script
+# generates host keys
+# check /var/run/sshd nad creates it if not already created
+
+
+if ! [ -f /etc/ssh/ssh_host_ecdsa_key ]; then
+ /usr/bin/ssh-keygen -q -t ecdsa -N "" -f /etc/ssh/ssh_host_ecdsa_key || exit 1
+fi
+
+if ! [ -f /etc/ssh/ssh_host_rsa_key ]; then
+ /usr/bin/ssh-keygen -q -t rsa -N "" -f /etc/ssh/ssh_host_rsa_key || exit 1
+fi
+
+if ! [ -f /etc/ssh/ssh_host_dsa_key ]; then
+ /usr/bin/ssh-keygen -q -t dsa -N "" -f /etc/ssh/ssh_host_dsa_key || exit 1
+fi
+
+if [ ! -d /var/run/sshd ]; then
+ mkdir /var/run/sshd || exit 1
+ chmod 0755 /var/run/sshd || exit 1
+fi
+
+# `test' returns non-zero when it fails. Don't let this hold up ExecStart.
exit 0 \ No newline at end of file